org.springframework.web.reactive.result.method.annotation

## Class SessionStatusMethodArgumentResolver

- java.lang.Object
- - org.springframework.web.reactive.result.method.annotation.SessionStatusMethodArgumentResolver

All Implemented Interfaces:
  HandlerMethodArgumentResolver, SyncHandlerMethodArgumentResolver

    public class SessionStatusMethodArgumentResolver
    extends Object
    implements SyncHandlerMethodArgumentResolver

Resolver for a `SessionStatus` argument obtaining it from the `BindingContext`.

Since:
  5.0
Author:
  Rossen Stoyanchev

### Constructor Summary

Constructors
Constructor and Description
`SessionStatusMethodArgumentResolver()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `resolveArgumentValue(org.springframework.core.MethodParameter parameter, BindingContext bindingContext, org.springframework.web.server.ServerWebExchange exchange)` Resolve the value for the method parameter synchronously.
`boolean` `supportsParameter(org.springframework.core.MethodParameter parameter)` Whether this resolver supports the given method parameter.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.web.reactive.result.method.SyncHandlerMethodArgumentResolver

`resolveArgument`

### Constructor Detail

#### SessionStatusMethodArgumentResolver

    public SessionStatusMethodArgumentResolver()

### Method Detail

#### supportsParameter

    public boolean supportsParameter(org.springframework.core.MethodParameter parameter)

Description copied from interface: `HandlerMethodArgumentResolver`
Whether this resolver supports the given method parameter.

Specified by:
  `supportsParameter` in interface `HandlerMethodArgumentResolver`
Parameters:
  `parameter` - the method parameter

#### resolveArgumentValue

    @Nullable
    public Object resolveArgumentValue(org.springframework.core.MethodParameter parameter,
                                                 BindingContext bindingContext,
                                                 org.springframework.web.server.ServerWebExchange exchange)

Description copied from interface: `SyncHandlerMethodArgumentResolver`
Resolve the value for the method parameter synchronously.

Specified by:
  `resolveArgumentValue` in interface `SyncHandlerMethodArgumentResolver`
Parameters:
  `parameter` - the method parameter
  `bindingContext` - the binding context to use
  `exchange` - the current exchange
Returns:
  the resolved value, if any